
#include <glib.h>

/**
 * Mytype: (RenameTo Object):
 * 
 * A type with the same name as the library prefix. With the following
 * directive, should be available as Mytype.Object
 *
 * 
 **/
typedef struct {
    gpointer data;
} Mytype;

Mytype * mytype_new();
void mytype_set_data(Mytype *self, gpointer data);
